Skip to main content
GET
/
audience
/
segments
List audience segments
curl --request GET \
  --url https://app.lettr.com/api/audience/segments \
  --header 'Authorization: Bearer <token>'
{
  "message": "Segments retrieved successfully.",
  "data": {
    "segments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "Engaged subscribers",
        "list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "list_name": "<string>",
        "condition_groups": [
          {
            "conditions": [
              {
                "field": "email",
                "operator": "equals",
                "value": "@example.com"
              }
            ]
          }
        ],
        "cached_contacts_count": 1,
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "total": 42,
      "per_page": 20,
      "current_page": 1,
      "last_page": 3
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lettr.com/llms.txt

Use this file to discover all available pages before exploring further.

List segments with pagination. Requires the audience:read scope.

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:20

Items per page (max 100)

Required range: 1 <= x <= 100
list_id
string<uuid>

Filter to segments restricted to a specific list (must belong to the team)

Response

Segments retrieved successfully.

message
string
required
Example:

"Segments retrieved successfully."

data
object
required